# binaryninja.function.FunctionGraph

class `binaryninja.function.``FunctionGraph`(view, handle)
  `__init__`(view, handle)

  Methods

  `__init__`(view, handle) |
  `abort`() |
  `get_blocks_in_region`(left, top, right, bottom) |
  `is_option_set`(option) |
  `layout`([graph_type]) |
  `layout_and_wait`([graph_type]) |
  `on_complete`(callback) |
  `set_option`(option[, state]) |

  Attributes

  `blocks` | List of basic blocks in function (read-only)
  `complete` | Whether function graph layout is complete (read-only)
  `function` | Function for a function graph (read-only)
  `has_blocks` | Whether the function graph has at least one block (read-only)
  `height` | Function graph height (read-only)
  `horizontal_block_margin` |
  `il_function` |
  `is_il` |
  `is_low_level_il` |
  `is_medium_level_il` |
  `settings` |
  `type` | Function graph type (read-only)
  `vertical_block_margin` |
  `width` | Function graph width (read-only)